Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.ciphers
Class Passkey

    java.lang.Object
      com.rsa.authagent.authapi.ciphers.Passkey

    public class Passkey

extends java.lang.Object

Used to store one single WPCODE.

Field Summary
`static int` | `V5_WPCODE_SIZE`

Constructor Summary
`Passkey()` Build the default size.
`Passkey(byte[] data)` Build the specified data.
`Passkey(int size)` Build the specified size.

Method Summary
`byte[]` | `getWpcode()`
`void` | `setWpcode(byte[] data)`
`void` | `setWpcode(byte[] data, int wpcode_offset)`
`void` | `setWpcode(byte[] data, int data_offset, int wpcode_offset)`
`void` | `setWpcode(byte[] data, int data_offset, int wpcode_offset, int size)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V5_WPCODE_SIZE

    public static final int V5_WPCODE_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Passkey

    public Passkey()

  Build the default size.

### Passkey

    public Passkey(int size)

  Build the specified size.

### Passkey

    public Passkey(byte[] data)

  Build the specified data.

Method Detail

### setWpcode

    public void setWpcode(byte[] data)

### setWpcode

    public void setWpcode(byte[] data,
                          int wpcode_offset)

### setWpcode

    public void setWpcode(byte[] data,
                          int data_offset,
                          int wpcode_offset)

### setWpcode

    public void setWpcode(byte[] data,
                          int data_offset,
                          int wpcode_offset,
                          int size)

### getWpcode

    public byte[] getWpcode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.